<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
								xmlns:msxsl="urn:schemas-microsoft-com:xslt"
								extension-element-prefixes="msxsl"
								xmlns:frmwrk="Corel Framework Data"
								exclude-result-prefixes="frmwrk">
	<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	<frmwrk:uiconfig>
		<frmwrk:applicationInfo userConfiguration="true" />
	</frmwrk:uiconfig>

	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="node()|@*" mode="insert">
		<xsl:param name='nodes'/>
		<xsl:variable name='container' select='.'/>
		<xsl:copy>
			<xsl:apply-templates select='@*'/>
			<xsl:apply-templates select='msxsl:node-set($nodes)/beginning/*'/>
			<xsl:for-each select="./*">
				<xsl:variable name='itemGuid' select='@guid'/>
				<xsl:variable name='itemGuidRef' select='@guidRef'/>
				<xsl:apply-templates select='msxsl:node-set($nodes)/before[@guid=$itemGuid or @guidRef=$itemGuidRef]/*'/>
				<xsl:apply-templates select="."/>
				<xsl:apply-templates select='msxsl:node-set($nodes)/after[@guid=$itemGuid or @guidRef=$itemGuidRef]/*'/>
			</xsl:for-each>
			<xsl:for-each select='msxsl:node-set($nodes)/*'>
				<xsl:if test="@addAlways">
					<xsl:variable name='afterGuid' select='@guid'/>
					<xsl:variable name='afterGuidRef' select='@guidRef'/>
					<xsl:if test="not($container/*[@guid=$afterGuid or @guidRef=$afterGuidRef])">
						<xsl:apply-templates select="./*"/>
					</xsl:if>
				</xsl:if>
			</xsl:for-each>
			<xsl:apply-templates select='msxsl:node-set($nodes)/end/*'/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="uiConfig/items">
		<xsl:apply-templates select="." mode="insert">
			<xsl:with-param name="nodes">
				<end>
					<itemData guid="4a7e92af-50f0-4144-9a1e-7f008dfa4614" dynamicCommand="SecuriDesign.MainModule.CreatePattern" dynamicCategory="2cc24a3e-fe24-4708-9a74-9c75406eebcd" userToolTip="Create SecuriPattern" userCaption="Pattern">
						<userSmallBitmap xmlns:dt="urn:schemas-microsoft-com:datatypes" dt:dt="bin.base64">
							//8BABAAV0NtblVJX1VJSXRlbUJtcAAAAAAAAAAAKAAAAAAEAAAAAQAAKAAAABAAAAAQAAAA
							AQAIAAAAAAAAAQAAAAAAAAAAAAAAAQAAAAEAAAAAAAAAAAAAAAAAAAAAAAAZGRkAMzMzADMz
							MwBMTEwAZmZmAGZmZgB/f38AmZmZAJmZmQCysrIA8PDwAMzMzADMzMwA5eXlAP///wAAADMA
							AABmAAAAmQAzAGYAMzNmAAAAzAAzAJkAAAD/AGYAmQAzM5kAAAD/ADMAzABmAMwAMwD/ADMz
							zABmM5kAMwD/AGYA/wAzM/8AZmaZAGYzzABmAP8AmQDMAGYz/wCZAP8AmTPMAGZmzACZAP8A
							zAD/AJlmzACZM/8AzAD/AMwz/wCZmcwAADNmAAAzmQAAM8wAAGaZADNmmQAAM/8AADP/AABm
							zAAAZv8AAJnMADNmzAAAZv8AM5nMAACZ/wAAzP8AZpnMAAAzAAAAZgAAADMzAABmMwAAmQAA
							AGZmAACZMwAzZjMAAMwAADNmZgAA/wAAAJlmAAD/AAAzmTMAAMwzADOZZgAAzGYAM8wzAAD/
							MwAA/zMAAJmZADP/MwAzmZkAAMyZAGaZZgAA/2YAM8xmAAD/ZgAAzMwAAP+ZAGaZmQAzzJkA
							ZsxmAAD/mQAz/2YAM/+ZADPMzABmzJkAAP/MAAD/zABm/2YAM//MAGb/mQBmzMwAAP//AJnM
							mQCZzMwAmf+ZAGb/zACZ/8wAzP/MADMzAAAzZgAAM5kAAGZmAABmmQAAM8wAAGZmMwAz/wAA
							ZpkzAJmZAABmzAAAM/8AAGbMMwCZzAAAZv8AAGb/AACZmTMAzMwAAJn/AACZ/wAAmZlmAGb/
							MwCZzDMAmf8zAMz/AACZzGYAzP8AAMzMMwCZ/2YAzP8zAMzMZgD//wAA//8AAP//MwDM/2YA
							zMyZAMz/mQD//2YA//+ZAP//zABmAAAAOSAgADkmJgBmMwAAmQAAAJkzAADMAAAAZjMzAP8A
							AAD/AAAAzDMAAJlmAACZMzMAaVNTAG9YWAB1XV0AzDMzAP8zAADMZgAA/zMAAJlmMwCZZmYA
							zGYzAP8zMwD/ZgAAzJkAAP9mAACOc3IAkHVzAP9mMwDMZmYA/5kAAMyZMwD/mQAAnn9/AP/M
							AAD/ZmYA/8wAAMyZZgD/mTMA/5lmAP/MMwDMmZkA/5mZAP/MZgD/zJkA/8zMADMAMwA5JSgA
							OSYoADomKAA5JikAOiYpADonKQA7KCoAZgAzAEArLgBNOTsAZgBmAJkAMwBfTU8AzAAzAJkA
							ZgBmM2YAalZXAGtXWQD/ADMAmQCZAMwAZgCZM2YAel9hAP8AZgDMM2YAmTOZAMwAmQDMM5kA
							zDOZAJlmmQD/AJkAzADMAP8zZgCff4AAp4aIAP8AzADMZpkAzDPMALORkwDMZswA/2aZAP8z
							zAD/AP8A/wD/AMyZzAD/ZswA/zP/AP+ZzAASEhISEhISEhISEhISEhISEhISEhISEgAAABIS
							EhISEhISEhIAAAASqBIAAAASEhISEgAAEhISEqgSEhISAAASAAASGhISEqgSqBISEhoSABIS
							EhoSEhKoEqgSEhIaEhKoEhoSGhKoEhISqBIaEhoSqBIaEhoSqBISEqgSGhIaEg4aDg4OqA4O
							Dg4OqA4ODqgSqBISEhoSEhISEhoSEhIaGhKoEqgSGhISEhoSqBKoEhoSqBKoEhoSEhIaEqgS
							qBIAABKoEhISGhIaEhISqBIAEhIAABISEhoaGhISEgAAEhISEhIAAAASGhIAAAASEhISEhIS
							EhISAAAAEhISEhIS8PDwAKCgoADw8PAAAAAAAA==
						</userSmallBitmap>
					</itemData>
					<itemData guid="67e2f1fb-5098-42fa-94d7-39890ca3709a" dynamicCommand="SecuriDesign.MainModule.CreateContour" dynamicCategory="2cc24a3e-fe24-4708-9a74-9c75406eebcd" userCaption="Contour" userToolTip="Create SecuriContour">
						<userSmallBitmap xmlns:dt="urn:schemas-microsoft-com:datatypes" dt:dt="bin.base64">
							//8BABAAV0NtblVJX1VJSXRlbUJtcAAAAAAAAAAAKAAAAAAEAAAAAQAAKAAAABAAAAAQAAAA
							AQAIAAAAAAAAAQAAAAAAAAAAAAAAAQAAAAEAAAAAAAAAAAAAAAAAAAAAAAAZGRkAMzMzADMz
							MwBMTEwAZmZmAGZmZgB/f38AmZmZAJmZmQCysrIA8PDwAMzMzADMzMwA5eXlAP///wAAADMA
							AABmAAAAmQAzAGYAMzNmAAAAzAAzAJkAAAD/AGYAmQAzM5kAAAD/ADMAzABmAMwAMwD/ADMz
							zABmM5kAMwD/AGYA/wAzM/8AZmaZAGYzzABmAP8AmQDMAGYz/wCZAP8AmTPMAGZmzACZAP8A
							zAD/AJlmzACZM/8AzAD/AMwz/wCZmcwAADNmAAAzmQAAM8wAAGaZADNmmQAAM/8AADP/AABm
							zAAAZv8AAJnMADNmzAAAZv8AM5nMAACZ/wAAzP8AZpnMAAAzAAAAZgAAADMzAABmMwAAmQAA
							AGZmAACZMwAzZjMAAMwAADNmZgAA/wAAAJlmAAD/AAAzmTMAAMwzADOZZgAAzGYAM8wzAAD/
							MwAA/zMAAJmZADP/MwAzmZkAAMyZAGaZZgAA/2YAM8xmAAD/ZgAAzMwAAP+ZAGaZmQAzzJkA
							ZsxmAAD/mQAz/2YAM/+ZADPMzABmzJkAAP/MAAD/zABm/2YAM//MAGb/mQBmzMwAAP//AJnM
							mQCZzMwAmf+ZAGb/zACZ/8wAzP/MADMzAAAzZgAAM5kAAGZmAABmmQAAM8wAAGZmMwAz/wAA
							ZpkzAJmZAABmzAAAM/8AAGbMMwCZzAAAZv8AAGb/AACZmTMAzMwAAJn/AACZ/wAAmZlmAGb/
							MwCZzDMAmf8zAMz/AACZzGYAzP8AAMzMMwCZ/2YAzP8zAMzMZgD//wAA//8AAP//MwDM/2YA
							zMyZAMz/mQD//2YA//+ZAP//zABmAAAAOSAgADkmJgBmMwAAmQAAAJkzAADMAAAAZjMzAP8A
							AAD/AAAAzDMAAJlmAACZMzMAaVNTAG9YWAB1XV0AzDMzAP8zAADMZgAA/zMAAJlmMwCZZmYA
							zGYzAP8zMwD/ZgAAzJkAAP9mAACOc3IAkHVzAP9mMwDMZmYA/5kAAMyZMwD/mQAAnn9/AP/M
							AAD/ZmYA/8wAAMyZZgD/mTMA/5lmAP/MMwDMmZkA/5mZAP/MZgD/zJkA/8zMADMAMwA5JSgA
							OSYoADomKAA5JikAOiYpADonKQA7KCoAZgAzAEArLgBNOTsAZgBmAJkAMwBfTU8AzAAzAJkA
							ZgBmM2YAalZXAGtXWQD/ADMAmQCZAMwAZgCZM2YAel9hAP8AZgDMM2YAmTOZAMwAmQDMM5kA
							zDOZAJlmmQD/AJkAzADMAP8zZgCff4AAp4aIAP8AzADMZpkAzDPMALORkwDMZswA/2aZAP8z
							zAD/AP8A/wD/AMyZzAD/ZswA/zP/AP+ZzAASEhISEhISEhISEhISEhISEhISEhISEhISEhIS
							EhISEqioEhISEhISEhKoEhISEhISEqioEhISEqioEqioEhISEhISEqgSEqgSEhISEqgSEhIS
							EhISqKgSEhISEhISqKgSEhISEhISEhISEhISEhISEhISEhISEhISEhISEhISEgAAAAAAAAAA
							AAAAAAAAAAASEhISEhISEhISEhISEhISEhISEhISEhISEhISEhISEhoaEhISEhISEhoaEhIS
							EhISEhoSEhISEhoSEhoSEhISEhISGhoSGhoSEhISGhoSEhISEhISGhISEhISEhISGhoSEhIS
							EhISEhISEhISEhIS8PDwAKCgoADw8PAAAAAAAA==
						</userSmallBitmap>
					</itemData>
				</end>
			</xsl:with-param>
		</xsl:apply-templates>
	</xsl:template>

</xsl:stylesheet>