<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
								xmlns:msxsl="urn:schemas-microsoft-com:xslt"
								extension-element-prefixes="msxsl"
								xmlns:frmwrk="Corel Framework Data"
								exclude-result-prefixes="frmwrk">
	<xsl:output method="xml" encoding="UTF-8" indent="yes"/>

	<frmwrk:uiconfig>
		<frmwrk:compositeNode xPath="/uiConfig/commandBars"/>
	</frmwrk:uiconfig>

	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="node()|@*" mode="insert">
		<xsl:param name='nodes'/>
		<xsl:variable name='container' select='.'/>
		<xsl:copy>
			<xsl:apply-templates select='@*'/>
			<xsl:apply-templates select='msxsl:node-set($nodes)/beginning/*'/>
			<xsl:for-each select="./*">
				<xsl:variable name='itemGuid' select='@guid'/>
				<xsl:variable name='itemGuidRef' select='@guidRef'/>
				<xsl:apply-templates select='msxsl:node-set($nodes)/before[@guid=$itemGuid or @guidRef=$itemGuidRef]/*'/>
				<xsl:apply-templates select="."/>
				<xsl:apply-templates select='msxsl:node-set($nodes)/after[@guid=$itemGuid or @guidRef=$itemGuidRef]/*'/>
			</xsl:for-each>
			<xsl:for-each select='msxsl:node-set($nodes)/*'>
				<xsl:if test="@addAlways">
					<xsl:variable name='afterGuid' select='@guid'/>
					<xsl:variable name='afterGuidRef' select='@guidRef'/>
					<xsl:if test="not($container/*[@guid=$afterGuid or @guidRef=$afterGuidRef])">
						<xsl:apply-templates select="./*"/>
					</xsl:if>
				</xsl:if>
			</xsl:for-each>
			<xsl:apply-templates select='msxsl:node-set($nodes)/end/*'/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="uiConfig/commandBars">
		<xsl:apply-templates select="." mode="insert">
			<xsl:with-param name="nodes">
				<end>
					<commandBarData guid="6dd6ada9-e231-4a5f-a354-81fe4ecd4d2f" automationName="SecuriDesign" type="toolbar" nonLocalizableName="SecuriDesign" userCaption="SecuriDesign" userCreated="true">
						<toolbar type="toolbar" dock="top" itemFace="textRightOfImage">
							<item guidRef="67e2f1fb-5098-42fa-94d7-39890ca3709a"/>
							<item guidRef="4a7e92af-50f0-4144-9a1e-7f008dfa4614"/>
						</toolbar>
					</commandBarData>
				</end>
			</xsl:with-param>
		</xsl:apply-templates>
	</xsl:template>

<!--
	<xsl:template match="uiConfig/states/state[@name='frame']/container[@guidRef='Framework_MainFrame-layout']/layout/dockHost">
		<xsl:apply-templates select="." mode="insert">
			<xsl:with-param name="nodes">
				<after guidRef="74e03d83-404c-49f5-824a-fe0fd02ab29a">
					<toolbar guidRef="18d08a2c-fcd6-f2b0-42cd-0c1298d3ed1e" dockHost.size="(57,29)" dock="top"/>
				</after>
			</xsl:with-param>
		</xsl:apply-templates>
	</xsl:template>
-->
	
</xsl:stylesheet>
